## org.biojava.bio.dp
Class BaumWelchSampler

    java.lang.Object
      |
      +--org.biojava.bio.dp.AbstractTrainer
            |
            +--org.biojava.bio.dp.BaumWelchSampler

public class BaumWelchSampler
extends AbstractTrainer
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`BaumWelchSampler(DP dp)`

Method Summary
`protected double` `singleSequenceIteration(ModelTrainer trainer, SymbolList resList)`

Methods inherited from class org.biojava.bio.dp.AbstractTrainer
`getCurrentScore, getCycle, getDP, getLastScore, train`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaumWelchSampler

    public BaumWelchSampler(DP dp)

Method Detail

### singleSequenceIteration

    protected double singleSequenceIteration(ModelTrainer trainer,
                                             SymbolList resList)
                                      throws IllegalSymbolException,
                                             IllegalTransitionException,
                                             IllegalAlphabetException

  Overrides:
    singleSequenceIteration in class AbstractTrainer